Subject: Re: [PATCH 0/5] cat-file: introduce NUL-terminated output format

From: Junio C Hamano <[email-masked]>
Date: Sat, 03 Jun 2023 10:44:58 +0900

Patrick Steinhardt <[email-masked]> writes:

> Note that Toon has sent a patch series for this issue to address the
> same issue, see the thread starting at [1]. I've collaborated with him
> internally at GitLab to arrive at this new patch series which thus
> effectively supersedes the patches he has sent. The approach is also
> different: while his patches start quoting the output, the approach
> chosen by my series only changes the lines to be NUL terminated. This
> should make it easier to use for scripted purposes compared to having to
> de-quote the input.

OK.  Will try to drop the other topic and queue this one instead.

Thanks.